/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.CompraTarjetaCredito;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface CompraTarjetaCreditoFacadeLocal {

  void create(CompraTarjetaCredito compraTarjetaCredito);

  void edit(CompraTarjetaCredito compraTarjetaCredito);

  void remove(CompraTarjetaCredito compraTarjetaCredito);

  CompraTarjetaCredito find(Object id);

  List<CompraTarjetaCredito> findAll();

  List<CompraTarjetaCredito> findRange(int[] range);

  int count();
  
}
